<?
/** 
 * @Project GoldMU.Net
 * @copyright 03/03/2022
 * @Email: goldmu.net@gmail.com
 * @Zalo: 0923 117 898
 */
 if (!defined('GoldWebMU')) die("Ban khong co quyen truy cap he thong");
$action = $_GET['action'];
switch ($action){ 

	default :
		$character = $_GET['character'];
		$vip_period = abs(intval($_GET['vip_period']));
		$buy_vip_type = abs(intval($_GET['buy_vip_type']));
		$pass2 = $_GET['pass2'];
		
		if( $sendsv === false ) { echo "Tốc độ xử lý của bạn quá nhanh, vui lòng chờ vài giây rồi tiếp tục thực hiện."; }
		elseif(empty($character)) {
			echo "<font color='red'>Vui lòng chọn Nhân Vật.</font><br>";
		}
		elseif(empty($pass2)) {
			echo "<font color='red'>Mật khẩu không được để trống .</font><br>";
		}
		elseif (!preg_match("/^[a-zA-Z0-9_]*$/i", $character)){
			echo "<font color='red'>Dữ liệu lỗi - Nhân vật chỉ được sử dụng kí tự a-z, A-Z, số (1-9) và _.</font><br>";
		}
		elseif (!preg_match("/^[a-zA-Z0-9_]*$/i", $pass2)){
			echo "<font color='red'>Dữ liệu lỗi - Mật khẩu chỉ được sử dụng kí tự a-z, A-Z, số (1-9) và _.</font><br>";
		}
		elseif (!preg_match("/^[0-9]*$/i", $vip_period)){
			echo "<font color='red'>Dữ liệu lỗi - Ngày VIP chỉ được sử dụng số 1-9.</font>";
		}
		elseif (!preg_match("/^[0-9]*$/i", $buy_vip_type)){
			echo "<font color='red'>Dữ liệu lỗi - Loại VIP chỉ được sử dụng số 1-9.</font>";
		}
		else {
			
			$getcontent_url = $server_url . "/sv_acc.php";
            $getcontent_data = array(
                'login'    =>  $_SESSION['mu_username'],
                'name'    =>  $_SESSION['mu_nvchon'],
                'pass2'    =>  $pass2,
                'vip_period'    =>  $vip_period,
				'buy_vip_type'    =>  $buy_vip_type,
                
				'action'	=>	$action,
                'pagesv'	=>	'sv_acc_vipweb',
                'string_login'    =>  $_SESSION['checklogin'],
                'passtransfer'    =>  $passtransfer
            ); 
            
            $reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);

			if ( empty($reponse) ) echo "Server bảo trì.";
			elseif($reponse == "login_other") {
				echo "<font size='3' color='red'>Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.</font>";
				session_destroy();
			}
			else {
				$info = explode('<vweb>',$reponse);
				if ($info[1] == 'OK') {
					echo "<vweb>OK<vweb>$info[2]<vweb>$info[3]<vweb>";
					$_SESSION['acc_vip'] = 1;
					$_SESSION['acc_gcoin'] = $info[3];
				}
				else echo $reponse;
			}
		}
	}
?>